POST
/notification-channels/listList notification channels
Returns a cursor-paginated page of channels from the requested project.
Send request
Use the documented inputs to call this endpoint directly.
API serverbase URL
Request body
application/jsonrequiredResponses
200application/json
Channel page.
{
"status": "success",
"data": {
"notification_channels": [
{
"id": "65f0c7a9a7d6b4e2c1234567",
"project_id": "65f0c7a9a7d6b4e2c1234567",
"org_id": "65f0c7a9a7d6b4e2c1234567",
"name": "string",
"description": "string",
"channel_type": "mail",
"status": "active",
"endpoints": [
"string"
],
"request_headers": {},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"pagination": {
"limit": 1,
"has_more": true,
"next_cursor": {
"after_id": "65f0c7a9a7d6b4e2c1234567",
"after_value": "2026-01-01T00:00:00Z"
},
"filter_scan_truncated": true
},
"sort": "string",
"filters": {
"name": "string",
"channel_type": "mail",
"status": "active"
}
}400application/json
The request body, parameter, filter, cursor, or project-scoping pattern is invalid.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
401application/json
Authentication is missing or the credential is invalid, inactive, expired, or lacks the required scope.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
403application/json
The authenticated caller is not allowed to perform this operation.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
Powered by heyo